curl --request PUT \
--url https://services.leadconnectorhq.com/objects/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "632c34b4c9b7da3358ac9891",
"searchableProperties": [
"custom_objects.mad.mad",
"custom_objects.mad.record_1",
"custom_objects.mad.nn"
],
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"description": "These are non vaccinated pets"
}
'{
"object": {
"id": "661c06b4ffde146bdb469442",
"standard": false,
"key": "custom_objects.pet",
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"locationId": "Q9DT3OAqEXDLYuob1G32",
"primaryDisplayProperty": "custom_objects.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "These are non vaccinated pets",
"type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
}
}Update Custom Object Schema or standard object’s like contact, opportunity, business searchable fields. To understand objects and records, please have a look at the documentation here : https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0
curl --request PUT \
--url https://services.leadconnectorhq.com/objects/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "632c34b4c9b7da3358ac9891",
"searchableProperties": [
"custom_objects.mad.mad",
"custom_objects.mad.record_1",
"custom_objects.mad.nn"
],
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"description": "These are non vaccinated pets"
}
'{
"object": {
"id": "661c06b4ffde146bdb469442",
"standard": false,
"key": "custom_objects.pet",
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"locationId": "Q9DT3OAqEXDLYuob1G32",
"primaryDisplayProperty": "custom_objects.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "These are non vaccinated pets",
"type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 key of the custom or standard object. For custom objects, the key must include the prefix “custom_objects.”. This key can be found on the Object Details page under Settings in the UI.
"custom_objects.pet"
location id
"632c34b4c9b7da3358ac9891"
Searchable Fields: Provide the field key of your object that you want to search on, using the format (custom_object.<object_name>.<field_key>).
[
"custom_objects.mad.mad",
"custom_objects.mad.record_1",
"custom_objects.mad.nn"
]Show child attributes
{ "singular": "Pet", "plural": "Pets" }Pet Object`s description
"These are non vaccinated pets"
Successful response
Show child attributes
Was this page helpful?